mojwp.ru
Генератор рекламных блоков »
Назад

Автоматическое обновление jQuery до новой версии

Опубликовано: 09.08.2013
Время на чтение: 2 мин
6
127

Автоматическое обновление jQuery до новой версииС обновлением движка WordPress до новой версии столкнулись с проблемой появления окна blockUI requires jQuery v1.2.3 or later! You are using v1.10.2 или подобного? Вашему шаблону нужна более новее версия jQuery.

Предлагаю установить один плагин, который автоматически будет обновлять за вас jQuery.

Плагин так и называется jQuery Updater. В конце статьи ссылка на репозиторий WordPress, где вы всегда найдете его свежую версию.

Внимание! Я выпустил новую тему Romb для ваших статейников и блогов. Максимально быстрая по Google PageSpeed и максимальная оптимизация под SEO.

После активации плагина вам ничего делать не нужно: надоедливое окошко пропадет, все элементы на сайте будут работать как задумано. У плагина нет настроек, но он должен быть всегда активирован, т.к. внедряет свой код в работу движка и шаблона.

Скажу по секрету, сейчас я настраивал шаблон клиенту и столкнулся именно с такой проблемой (blockUI requires jQuery v1.2.3 or later! You are using v1.10.2). Поэтому пишу по свежим следам данную статью (в будущем быстрее сориентируюсь или подскажу решение нуждающимся). Все проверено и все работает на версии WP 3.6.
[downpg wp="3.0+" vp="2.0.0.2" href="http://wordpress.org/plugins/jquery-updater/"]Скачать jQuery Updater[/downpg]

Оцени статью

Давай, оцени статью!

Автор:
Виталий
Поделиться
Похожие записи
Черкани пару строк
  • Дмитрий
    Опубликовано: 19.08.2013 Ответить на сообщение

    Интересный блог у вас!!

  • Misha
    Опубликовано: 25.08.2013 Ответить на сообщение

    Не помогло:(

    • Виталий
      Опубликовано: 25.08.2013 Ответить на сообщение

      Крепитесь

  • Дмитрий
    Опубликовано: 30.08.2013 Ответить на сообщение

    Честно говоря не знаю что такое blockUI, поясните!

  • Тимур
    Опубликовано: 31.08.2013 Ответить на сообщение

    Честно говоря такой проблемы у меня не было. Вернее проблема с jQuery была, но она заключалась в том что jQuery криво работал на новом wordpress, то есть никаких надписей не появлялось, после отката движка до 3.4.2 все заработало=)

  • Svyatoslav Lee
    Опубликовано: 10.09.2013 Ответить на сообщение

    Только что при обновлении клиентского проекта столкнулся с этой проблемой. По вашей наводке поставил плаг - все решилось в секунду. Спасибо!

Имя
Укажите своё имя и фамилию
E-mail
Без СПАМа, обещаем
Текст сообщения
Отправляя данную форму, вы соглашаетесь с политикой конфиденциальности и правилами нашего сайта.

X
SEO-тема для WordPress сайта
Все заточено под продвижение. Максимально быстрая. Встроен функционал.